Crux: BRE/WFE - Task #17951
Task # 17950 (New): Add tracing support for the matching engine

doMatch() tracing: Level 1
16/02/2024 04:45 PM - Shuvam Misra

Status: Testing Start date: 01/03/2024

Priority: Normal Due date: 12/04/2024

Assignee: Aniket Shinde % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Sprint 12 Apr

Description

Related issues:

Follows Crux: BRE/WFE - Task #17972: Check the trace data spec Closed 29/02/2024

Associated revisions

Revision 9f9357¢3 - 14/04/2024 03:40 PM - remiges-aniket

refs: #17951 - feat: added trace L1 match, mismatch with test case

Revision a6b16f1a - 14/04/2024 03:41 PM - Aniket Shinde
Merge pull request #175 from remiges-aniket/tracing
refs: #17951 - feat: added trace L1 match, mismatch with test case

Revision 1a33c39f - 16/04/2024 10:14 PM - remiges-aniket

refs: #17951 - feat: added trace for return , exit , thenCall , elseCall

Revision 96de503b - 16/04/2024 10:22 PM - Aniket Shinde

Merge pull request #177 from remiges-aniket/tracing

refs: #17951 - feat: added trace for return , exit , thenCall , elseCall

Revision 9c1b2a26 - 23/04/2024 08:27 PM - remiges-aniket
refs: #17951 - feat: added L1 trace with trace level

Revision b2243923 - 26/04/2024 12:31 AM - remiges-aniket

refs: #17951 - test : added more test cases

History

#1 - 18/02/2024 11:57 PM - Shuvam Misra

- Follows Task #17972: Check the trace data spec added
- Start date set to 01/03/2024

- Due date changed from 29/03/2024 to 01/03/2024

#2 - 05/04/2024 11:19 AM - Aniket Shinde

- Target version changed from Sprint 29 Mar to Sprint 12 Apr

- Assignee changed from Abhishek Jayswal (Tantiv4) to Aniket Shinde
- Due date changed from 01/03/2024 to 12/04/2024

#3 - 05/04/2024 11:47 AM - Aniket Shinde

- Status changed from New to In Progress

#4 - 14/04/2024 03:37 PM - Aniket Shinde
- % Done changed from 0 to 20

25/04/2025

1/2




added L1 tracing with test,
In Progress:
1. implementation of (return , exit , thenCall , elseCall )cases

#5 - 16/04/2024 10:21 PM - Aniket Shinde

added test cases for return , exit , thenCall , elseCall
but it will only work if in

RuleActions = type RuleActionBlock_t struct {

Task [Istring json:"tasks" validate:"required"
Properties map[string]string json:"properties" validate:"required"
ThenCall  string json:"thencall,omitempty"

ElseCall  string json:"elsecall,omitempty"

DoReturn  bool json:"doreturn,omitempty”

DoExit bool json:"doexit,omitempty"

References []*Ruleset_t  json:"-"

ReferenceType string json:"referencetype,omitempty”

1
DoReturn = true, DoExit = true, ElseCall = exist, ThenCall = exist in ruleset (in short rule_action must be filled with proper values in ruleset).

So, need to discuss with sachin if user get adding all details doing on done= true.

#6 - 23/04/2024 08:29 PM - Aniket Shinde
- % Done changed from 20 to 30

added L1 trace with trace level ( 0, 1, 2),
with test case for Match, Mismatched, Return

#7 - 23/04/2024 08:30 PM - Aniket Shinde

added entity attribute and ruleset attribute validation should match the number of attrs.

#8 - 30/05/2024 12:24 PM - Aniket Shinde
- % Done changed from 30 to 100

- Status changed from In Progress to Testing

completed L1 level
